Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface Element.Impl2

All Superinterfaces:
  Element.Impl, Serializable

Enclosing class:
  Element

    public static interface Element.Impl2

extends Element.Impl

Extended version of the implementation interface. The new version contains support for vetoable listeners for all Elements and some more for specialized ones.

Since:
  24/11/2000

Field Summary

Fields inherited from interface org.openide.src.Element.Impl
`serialVersionUID`

Method Summary
`void` | `addVetoableChangeListener(VetoableChangeListener l)` Adds a vetoable listener.
`boolean` | `isValid()` Determines whether the element is still valid - if it is a part of its original model.
`void` | `removeVetoableChangeListener(VetoableChangeListener l)` Removes a vetoable listener.

Methods inherited from interface org.openide.src.Element.Impl
`addPropertyChangeListener, attachedToElement, getCookie, markCurrent, readResolve, removePropertyChangeListener`

Method Detail

### addVetoableChangeListener

    void addVetoableChangeListener(VetoableChangeListener l)

  Adds a vetoable listener.

  Parameters:
    `l` - instener instance to add.

### removeVetoableChangeListener

    void removeVetoableChangeListener(VetoableChangeListener l)

  Removes a vetoable listener.

  Parameters:
    `l` - instener instance to remove.

### isValid

    boolean isValid()

  Determines whether the element is still valid - if it is a part of its original model. The Element should be invalidated during its removal from the model so further operations may notice that and fail in appropriate cases.

  Returns:
    true, if the element is still valid and a part of a model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.